@keyframes Toastify__trackProgress { 
  0% { transform: scaleX(1); }
  100% { transform: scaleX(0); }
}

@keyframes Toastify__bounceInRight { 
  0%, 60%, 75%, 90%, 100% { animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1); }
  0% { opacity: 0; transform: translate3d(3000px, 0px, 0px); }
  60% { opacity: 1; transform: translate3d(-25px, 0px, 0px); }
  75% { transform: translate3d(10px, 0px, 0px); }
  90% { transform: translate3d(-5px, 0px, 0px); }
  100% { transform: none; }
}

@keyframes Toastify__bounceOutRight { 
  20% { opacity: 1; transform: translate3d(-20px, 0px, 0px); }
  100% { opacity: 0; transform: translate3d(2000px, 0px, 0px); }
}

@keyframes Toastify__bounceInLeft { 
  0%, 60%, 75%, 90%, 100% { animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1); }
  0% { opacity: 0; transform: translate3d(-3000px, 0px, 0px); }
  60% { opacity: 1; transform: translate3d(25px, 0px, 0px); }
  75% { transform: translate3d(-10px, 0px, 0px); }
  90% { transform: translate3d(5px, 0px, 0px); }
  100% { transform: none; }
}

@keyframes Toastify__bounceOutLeft { 
  20% { opacity: 1; transform: translate3d(20px, 0px, 0px); }
  100% { opacity: 0; transform: translate3d(-2000px, 0px, 0px); }
}

@keyframes Toastify__bounceInUp { 
  0%, 60%, 75%, 90%, 100% { animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1); }
  0% { opacity: 0; transform: translate3d(0px, 3000px, 0px); }
  60% { opacity: 1; transform: translate3d(0px, -20px, 0px); }
  75% { transform: translate3d(0px, 10px, 0px); }
  90% { transform: translate3d(0px, -5px, 0px); }
  100% { transform: translateZ(0px); }
}

@keyframes Toastify__bounceOutUp { 
  20% { transform: translate3d(0px, -10px, 0px); }
  40%, 45% { opacity: 1; transform: translate3d(0px, 20px, 0px); }
  100% { opacity: 0; transform: translate3d(0px, -2000px, 0px); }
}

@keyframes Toastify__bounceInDown { 
  0%, 60%, 75%, 90%, 100% { animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1); }
  0% { opacity: 0; transform: translate3d(0px, -3000px, 0px); }
  60% { opacity: 1; transform: translate3d(0px, 25px, 0px); }
  75% { transform: translate3d(0px, -10px, 0px); }
  90% { transform: translate3d(0px, 5px, 0px); }
  100% { transform: none; }
}

@keyframes Toastify__bounceOutDown { 
  20% { transform: translate3d(0px, 10px, 0px); }
  40%, 45% { opacity: 1; transform: translate3d(0px, -20px, 0px); }
  100% { opacity: 0; transform: translate3d(0px, 2000px, 0px); }
}

@keyframes Toastify__zoomIn { 
  0% { opacity: 0; transform: scale3d(0.3, 0.3, 0.3); }
  50% { opacity: 1; }
}

@keyframes Toastify__zoomOut { 
  0% { opacity: 1; }
  50% { opacity: 0; transform: scale3d(0.3, 0.3, 0.3); }
  100% { opacity: 0; }
}

@keyframes Toastify__flipIn { 
  0% { transform: perspective(400px) rotateX(90deg); animation-timing-function: ease-in; opacity: 0; }
  40% { transform: perspective(400px) rotateX(-20deg); animation-timing-function: ease-in; }
  60% { transform: perspective(400px) rotateX(10deg); opacity: 1; }
  80% { transform: perspective(400px) rotateX(-5deg); }
  100% { transform: perspective(400px); }
}

@keyframes Toastify__flipOut { 
  0% { transform: perspective(400px); }
  30% { transform: perspective(400px) rotateX(-20deg); opacity: 1; }
  100% { transform: perspective(400px) rotateX(90deg); opacity: 0; }
}

@keyframes Toastify__slideInRight { 
  0% { transform: translate3d(110%, 0px, 0px); visibility: visible; }
  100% { transform: translateZ(0px); }
}

@keyframes Toastify__slideInLeft { 
  0% { transform: translate3d(-110%, 0px, 0px); visibility: visible; }
  100% { transform: translateZ(0px); }
}

@keyframes Toastify__slideInUp { 
  0% { transform: translate3d(0px, 110%, 0px); visibility: visible; }
  100% { transform: translateZ(0px); }
}

@keyframes Toastify__slideInDown { 
  0% { transform: translate3d(0px, -110%, 0px); visibility: visible; }
  100% { transform: translateZ(0px); }
}

@keyframes Toastify__slideOutRight { 
  0% { transform: translateZ(0px); }
  100% { visibility: hidden; transform: translate3d(110%, 0px, 0px); }
}

@keyframes Toastify__slideOutLeft { 
  0% { transform: translateZ(0px); }
  100% { visibility: hidden; transform: translate3d(-110%, 0px, 0px); }
}

@keyframes Toastify__slideOutDown { 
  0% { transform: translateZ(0px); }
  100% { visibility: hidden; transform: translate3d(0px, 500px, 0px); }
}

@keyframes Toastify__slideOutUp { 
  0% { transform: translateZ(0px); }
  100% { visibility: hidden; transform: translate3d(0px, -500px, 0px); }
}

@keyframes Toastify__spin { 
  0% { transform: rotate(0deg); }
  100% { transform: rotate(1turn); }
}

@keyframes fade-in { 
  0% { opacity: 0.2; }
  0% { opacity: 0; }
  100% { opacity: 1; }
}

@keyframes fade-in-slide-up { 
  0% { opacity: 0.3; transform: translateY(20px); }
  100% { opacity: 1; transform: translateY(0px); }
}

@keyframes fade-out { 
  0% { opacity: 1; }
  100% { opacity: 0; }
}

@keyframes gradient-shift { 
  0%, 100% { background-position: 0px 50%; }
  50% { background-position: 100% 50%; }
}

@keyframes ping { 
  75%, 100% { transform: scale(2); opacity: 0; }
}

@keyframes pulse { 
  50% { opacity: 0.5; }
}

@keyframes pulse-fast { 
  0%, 100% { opacity: 1; }
  50% { opacity: 0.3; }
}

@keyframes shine-reverse { 
  100% { background-position: -200% center; }
}

@keyframes slideDown { 
  0% { height: 0px; }
  100% { height: var(--height); }
}

@keyframes slideUp { 
  0% { height: var(--height); }
  100% { height: 0px; }
}

@keyframes spin { 
  100% { transform: rotate(1turn); }
}

@keyframes enter { 
  0% { opacity: var(--tw-enter-opacity,1); transform: translate3d(var(--tw-enter-translate-x,0),var(--tw-enter-translate-y,0),0) scale3d(var(--tw-enter-scale,1),var(--tw-enter-scale,1),var(--tw-enter-scale,1)) rotate(var(--tw-enter-rotate,0)); }
}

@keyframes exit { 
  100% { opacity: var(--tw-exit-opacity,1); transform: translate3d(var(--tw-exit-translate-x,0),var(--tw-exit-translate-y,0),0) scale3d(var(--tw-exit-scale,1),var(--tw-exit-scale,1),var(--tw-exit-scale,1)) rotate(var(--tw-exit-rotate,0)); }
}

@keyframes fadeOutUp { 
  0% { opacity: 1; transform: translateY(0px); }
  100% { opacity: 0; transform: translateY(-7px); }
}

@keyframes fadeOut { 
  0% { opacity: 1; }
  100% { opacity: 0; }
}

@keyframes fadeIn { 
  0% { opacity: 0; }
  100% { opacity: 1; }
}

@keyframes slideIn { 
  0% { opacity: 0; transform: translateX(-10px); }
  100% { opacity: 1; transform: translateX(0px); }
}

@keyframes depositShine { 
  0% { transform: scale(1); position: relative; }
  50% { transform: scale(1.02); }
  100% { transform: scale(1); }
}

@keyframes depositShineSubtle { 
  0% { transform: scale(1); }
  50% { transform: scale(1.005); }
  100% { transform: scale(1); }
}

@keyframes shineEffect { 
  0% { left: -100%; }
  100% { left: 100%; }
}

@keyframes valueScale { 
  0% { transform: scale(1); }
  50% { transform: scale(1.08); }
  100% { transform: scale(1); }
}

@keyframes quickShine { 
  0% { left: -50%; opacity: 1; }
  90% { opacity: 1; }
  100% { left: 150%; opacity: 0; }
}

@keyframes arrowEnter { 
  0% { opacity: 0; transform: scale(0.3); max-width: 0px; margin-right: 0px; }
  100% { opacity: 1; transform: scale(1); max-width: 20px; margin-right: 5px; }
}

@keyframes arrowExit { 
  0% { opacity: 1; transform: scale(1); max-width: 20px; margin-right: 5px; }
  100% { opacity: 0; transform: scale(0); max-width: 0px; margin-right: 0px; }
}

@keyframes zap-loading { 
  0% { transform: scale(1); color: rgb(238,43,109); }
  50% { transform: scale(1.18); color: rgb(238,43,109); }
  100% { transform: scale(1); color: rgb(238,43,109); }
}

@keyframes zap-loading-row { 
  0% { background-color: rgb(203,203,209); }
  50% { background-color: rgb(184,184,192); }
  100% { background-color: rgb(203,203,209); }
}

@keyframes shine-sweep { 
  0% { transform: translateX(-100%); }
  100% { transform: translateX(100%); }
}

@keyframes accordion-up { 
  0% { height: var(--radix-accordion-content-height); }
  100% { height: 0px; }
}

@keyframes collapsible-up { 
  0% { height: var(--radix-collapsible-content-height); }
  100% { height: 0px; }
}

@keyframes accordion-down { 
  0% { height: 0px; }
  100% { height: var(--radix-accordion-content-height); }
}

@keyframes collapsible-down { 
  0% { height: 0px; }
  100% { height: var(--radix-collapsible-content-height); }
}

@keyframes swipe-out-left { 
  0% { transform: var(--y) translateX(var(--swipe-amount-x)); opacity: 1; }
  100% { transform: var(--y) translateX(calc(var(--swipe-amount-x) - 100%)); opacity: 0; }
}

@keyframes swipe-out-right { 
  0% { transform: var(--y) translateX(var(--swipe-amount-x)); opacity: 1; }
  100% { transform: var(--y) translateX(calc(var(--swipe-amount-x) + 100%)); opacity: 0; }
}

@keyframes swipe-out-up { 
  0% { transform: var(--y) translateY(var(--swipe-amount-y)); opacity: 1; }
  100% { transform: var(--y) translateY(calc(var(--swipe-amount-y) - 100%)); opacity: 0; }
}

@keyframes swipe-out-down { 
  0% { transform: var(--y) translateY(var(--swipe-amount-y)); opacity: 1; }
  100% { transform: var(--y) translateY(calc(var(--swipe-amount-y) + 100%)); opacity: 0; }
}

@keyframes sonner-fade-in { 
  0% { opacity: 0; transform: scale(0.8); }
  100% { opacity: 1; transform: scale(1); }
}

@keyframes sonner-fade-out { 
  0% { opacity: 1; transform: scale(1); }
  100% { opacity: 0; transform: scale(0.8); }
}

@keyframes sonner-spin { 
  0% { opacity: 1; }
  100% { opacity: 0.15; }
}

@keyframes fadeIn { 
  0% { opacity: 0; }
  100% { opacity: 1; }
}

@keyframes fadeOut { 
  100% { opacity: 0; }
}

@keyframes slideFromBottom { 
  0% { transform: translate3d(0,var(--initial-transform,100%),0); }
  100% { transform: translate3d(0px, 0px, 0px); }
}

@keyframes slideToBottom { 
  100% { transform: translate3d(0,var(--initial-transform,100%),0); }
}

@keyframes slideFromTop { 
  0% { transform: translate3d(0,calc(var(--initial-transform,100%) * -1),0); }
  100% { transform: translate3d(0px, 0px, 0px); }
}

@keyframes slideToTop { 
  100% { transform: translate3d(0,calc(var(--initial-transform,100%) * -1),0); }
}

@keyframes slideFromLeft { 
  0% { transform: translate3d(calc(var(--initial-transform,100%) * -1),0,0); }
  100% { transform: translate3d(0px, 0px, 0px); }
}

@keyframes slideToLeft { 
  100% { transform: translate3d(calc(var(--initial-transform,100%) * -1),0,0); }
}

@keyframes slideFromRight { 
  0% { transform: translate3d(var(--initial-transform,100%),0,0); }
  100% { transform: translate3d(0px, 0px, 0px); }
}

@keyframes slideToRight { 
  100% { transform: translate3d(var(--initial-transform,100%),0,0); }
}

@keyframes w3m-shake { 
  0% { transform: scale(1) rotate(0deg); }
  20% { transform: scale(1) rotate(-1deg); }
  40% { transform: scale(1) rotate(1.5deg); }
  60% { transform: scale(1) rotate(-1.5deg); }
  80% { transform: scale(1) rotate(1deg); }
  100% { transform: scale(1) rotate(0deg); }
}

@keyframes w3m-iframe-fade-out { 
  0% { opacity: 1; }
  100% { opacity: 0; }
}

@keyframes w3m-iframe-zoom-in { 
  0% { transform: translateY(50px); opacity: 0; }
  100% { transform: translateY(0px); opacity: 1; }
}

@keyframes w3m-iframe-zoom-in-mobile { 
  0% { transform: scale(0.95); opacity: 0; }
  100% { transform: scale(1); opacity: 1; }
}